## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSource Struct Reference
[Sound system]

@@ Document me. More...

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSource:

[legend]
List of all members.

## Public Member Functions

virtual iSndSysSource * | GetPtr ()=0
| Retrieve a direct pointer to this object.
virtual csRef< iSndSysStream > | GetStream ()=0
| Retrieve the iSoundStream attached to this source.
virtual float | GetVolume ()=0
| Get volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).
virtual void | SetVolume (float volume)=0
| Set volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

## Detailed Description

@@ Document me.

Definition at line 48 of file ss_source.h.

## Member Function Documentation

virtual iSndSysSource* iSndSysSource::GetPtr | ( |  | ) | `[pure virtual]`

| Retrieve a direct pointer to this object.

virtual csRef<iSndSysStream> iSndSysSource::GetStream | ( |  | ) | `[pure virtual]`

| Retrieve the iSoundStream attached to this source.

virtual float iSndSysSource::GetVolume | ( |  | ) | `[pure virtual]`

| Get volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

virtual void iSndSysSource::SetVolume | ( | float | volume | ) | `[pure virtual]`

| Set volume (range 0.0 = silence 1.0 = as provided 2.0 = twice as loud).

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h